
set



"%PYTHON%" -m jcc  ^
--use_full_names ^
--python orekit ^
--version 7.1.dev ^
--jar %RECIPE_DIR%\orekit-7.1-SNAPSHOT.jar ^
--jar %RECIPE_DIR%\commons-math3-3.6-SNAPSHOT.jar ^
--package java.io ^
--package java.util ^
--package java.text ^
java.util.Arrays  ^
java.util.HashMap ^
java.util.HashSet ^
java.util.List  ^
java.util.Locale ^
java.util.ArrayList  ^
java.util.Collection  ^
java.util.Collections ^
java.util.Date ^
java.util.Map ^
java.util.TreeSet ^
java.util.Set ^
java.io.InputStream ^
java.io.InputStreamReader ^
java.io.PrintStream ^
java.io.FileInputStream ^
java.io.StringWriter ^
java.io.StringReader ^
java.lang.System ^
java.text.DecimalFormat ^
java.text.DecimalFormatSymbols ^
--module %RECIPE_DIR%\pyhelpers ^
--reserved INFINITE ^
--reserved ERROR ^
--reserved NAN ^
--reserved OVERFLOW ^
--reserved NO_DATA ^
--reserved min ^
--reserved max ^
--reserved mean ^
--build ^
--install

if errorlevel 1 exit 1

:: Add PATH to anaconda java-jdk / jre

echo import os > header.txt
echo os.environ["PATH"] = r"%PREFIX%\Library\jre\bin\server" + os.pathsep + os.environ["PATH"] >> header.txt

IF "%ARCH%"=="32" (
    ::win32 ARCH == 32
    type %SP_DIR%\%PKG_NAME%-%PKG_VERSION%-py2.7-win32.egg\%PKG_NAME%\__init__.py >> header.txt
    del %SP_DIR%\%PKG_NAME%-%PKG_VERSION%-py2.7-win32.egg\%PKG_NAME%\__init__.py
    del %SP_DIR%\%PKG_NAME%-%PKG_VERSION%-py2.7-win32.egg\%PKG_NAME%\__init__.pyc
    ren header.txt __init__.py
    move __init__.py %SP_DIR%\%PKG_NAME%-%PKG_VERSION%-py2.7-win32.egg\%PKG_NAME%\
)

IF "%ARCH%"=="64" (
    ::amd64
    type %SP_DIR%\%PKG_NAME%-%PKG_VERSION%-py2.7-win-amd64.egg\%PKG_NAME%\__init__.py >> header.txt
    del %SP_DIR%\%PKG_NAME%-%PKG_VERSION%-py2.7-win-amd64.egg\%PKG_NAME%\__init__.py
    del %SP_DIR%\%PKG_NAME%-%PKG_VERSION%-py2.7-win-amd64.egg\%PKG_NAME%\__init__.pyc
    ren header.txt __init__.py
    move __init__.py %SP_DIR%\%PKG_NAME%-%PKG_VERSION%-py2.7-win-amd64.egg\%PKG_NAME%\
)

:: See
:: http://docs.continuum.io/conda/build.html
:: for a list of environment variables that are set during the build process.

::amd64
::type %SP_DIR%\orekit-7.0.0-py2.7-win-amd64.egg\orekit\__init__.py >> header.txt
::del %SP_DIR%\orekit-7.0.0-py2.7-win-win32.egg\orekit\__init__.py
::del %SP_DIR%\orekit-7.0.0-py2.7-win-win32.egg\orekit\__init__.pyc
::ren header.txt __init__.py
::move __init__.py %SP_DIR%\orekit-7.0.0-py2.7-win-win32.egg\orekit\
